with GNATCOM.Dispinterface;

package MSHTML.IHTMLElement6_Object is

   type IHTMLElement6_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   function getAttributeNS
     (This             : IHTMLElement6_Type;
      pvarNS           : GNATCOM.Types.VARIANT;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure setAttributeNS
     (This               : IHTMLElement6_Type;
      pvarNS             : GNATCOM.Types.VARIANT;
      strAttributeName   : GNATCOM.Types.VARIANT;
      pvarAttributeValue : GNATCOM.Types.VARIANT;
      Free               : Boolean := True);

   procedure removeAttributeNS
     (This             : IHTMLElement6_Type;
      pvarNS           : GNATCOM.Types.VARIANT;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True);

   function getAttributeNodeNS
     (This     : IHTMLElement6_Type;
      pvarNS   : GNATCOM.Types.VARIANT;
      bstrName : GNATCOM.Types.VARIANT;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function setAttributeNodeNS
     (This  : IHTMLElement6_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function hasAttributeNS
     (This   : IHTMLElement6_Type;
      pvarNS : GNATCOM.Types.VARIANT;
      name   : GNATCOM.Types.VARIANT;
      Free   : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getAttribute
     (This             : IHTMLElement6_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure setAttribute
     (This               : IHTMLElement6_Type;
      strAttributeName   : GNATCOM.Types.VARIANT;
      pvarAttributeValue : GNATCOM.Types.VARIANT;
      Free               : Boolean := True);

   procedure removeAttribute
     (This             : IHTMLElement6_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True);

   function getAttributeNode
     (This             : IHTMLElement6_Type;
      strAttributeName : GNATCOM.Types.VARIANT;
      Free             : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function setAttributeNode
     (This  : IHTMLElement6_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeAttributeNode
     (This  : IHTMLElement6_Type;
      pattr : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function hasAttribute
     (This : IHTMLElement6_Type;
      name : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getElementsByTagNameNS
     (This          : IHTMLElement6_Type;
      varNS         : GNATCOM.Types.VARIANT;
      bstrLocalName : GNATCOM.Types.VARIANT;
      Free          : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function Get_tagName
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   function Get_nodeName
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   function getElementsByClassName
     (This : IHTMLElement6_Type;
      v    : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function msMatchesSelector
     (This : IHTMLElement6_Type;
      v    : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_onabort
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onabort
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncanplay
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncanplay
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oncanplaythrough
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oncanplaythrough
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onchange
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onchange
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ondurationchange
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ondurationchange
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onemptied
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onemptied
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onended
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onended
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onerror
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onerror
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_oninput
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_oninput
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onload
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onload
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadeddata
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadeddata
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadedmetadata
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadedmetadata
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onloadstart
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onloadstart
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onpause
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onpause
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onplay
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onplay
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onplaying
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onplaying
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onprogress
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onprogress
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onratechange
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onratechange
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onreset
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onreset
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onseeked
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onseeked
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onseeking
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onseeking
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onselect
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onselect
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onstalled
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onstalled
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onsubmit
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onsubmit
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onsuspend
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onsuspend
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_ontimeupdate
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ontimeupdate
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onvolumechange
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onvolumechange
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onwaiting
     (This : IHTMLElement6_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onwaiting
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

   function hasAttributes
     (This : IHTMLElement6_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLElement6_Object;

